#ifndef CALIB2_AC1_EVENT_H
#define CALIB2_AC1_EVENT_H

#include "SubPacket.h"

namespace pamela {
  /**
   * Calib2_Ac1Event data Wrapper.
   * 
   * The pamela::Calib2_Ac1Event represents the Calib2_Ac1 packet generated by the PAMELA CPU software.
   */
  class Calib2_Ac1Event: public pamela::SubPacket {
  private:
  
  public:
    UINT16 header[2];
    UINT16 status[5];
    UINT16 temp[8];
    UINT16 DAC1[8];
    UINT16 DAC2[8];
    UINT16 regist[6];
    UINT16 time[8];
    UINT16 n_tr;
    UINT16 hitmap_tr[16];
    UINT16 curve1[4096];
    UINT16 curve2[4096];
    UINT16 iCRC;
    UINT16 tail;
    UINT16 CRC;
    UINT16 CRCcheck;
    UINT16 ERROR;

    Calib2_Ac1Event(void);
    
    ClassDef(Calib2_Ac1Event, 1)
  };
}

#endif /* CALIB2_AC1_EVENT_H */

